%define section free

%define orig_name	i18n-lib

Name:           oldi18n-lib
Version:        0.1
Release:        2jpp
Epoch:          0
Summary:        Library intended to help Java software internationalization

Group:          Development/Libraries/Java
License:        BSD
URL:            http://www.jhraigniac.freesurf.fr/i18n-lib/
Source0:        http://www.jhraigniac.freesurf.fr/i18n-lib/i18n-src-0.1.jar
Source1:        %{orig_name}-build.xml
Vendor:         JPackage Project
Distribution:   JPackage
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant

%description
%{summary}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -c
cp -p %{SOURCE1} ./build.xml


%build
ant

%install
rm -rf $RPM_BUILD_ROOT

install -D -p -m 644 build/lib/%{orig_name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -pr build/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}


%changelog
* Tue Aug 24 2004 Fernando Nasser <fnasser@redhat.com> 0:0.1-2jpp
- Rebuild with Ant 1.6.2

* Sat Jan 24 2004 David Walluck <david@anti-microsoft.org> 0:0.1-1jpp
- release
